#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef std::numeric_limits<double> dbl;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n; cin >> n;

    double A[n], P[n];
    for (int i = 0; i < n; ++i) {
        scanf("%lf %lf", &A[i], &P[i]);
    }

    double resMax = 0, res;
    for (int i = 0; i < n; ++i) {
        double porez = P[i];
        res = 0;

        for (int j = 0; j < n; ++j) {
            if (porez <= P[j]) {
                res += A[j]*(porez/100);
            }
        }
        if (resMax < res) resMax = res;
    }
    printf("%f", resMax);

    return 0;
}